<?php

session_start();
//include "./conexionII.php";
$server="localhost";
	$username="comerc_admin";
	$password="CO2316255129238111";
	$db='comerc_mauriciocorrea';
	$con=mysql_connect($server,$username,$password)or die("No se ha podido establecer la conexion");
	$sdb=mysql_select_db($db,$con)or die("La base de datos no existe");

if(isset($_SESSION['Usuario'])){
    //Valido si es Admin para dejarlo en Registro
    if($_SESSION['Admin'] == 'S') {

    //Si es admin lo dejo
    }else{


   header("Location: /MauricioCorrea/Noadmin.html");
    }


 
}else{

    //Si no le muestro otra pagina, puede ser la de Login
    header("Location: /MauricioCorrea/incorrecto.html");
}


 if(isset($_POST["export_excel"])){  

      $sql = "SELECT codigo, descripcion, precioproducto, SUM(cantidadproducto) AS Cantidad, (SUM(cantidadproducto) * precioproducto) AS Total
FROM ventas, productos, facturas
WHERE productos.codigo = ventas.idproducto
AND ventas.idfactura = facturas.numero
AND vendedor LIKE  '%".$_POST['cliente']."%' 
AND  fecha >=  '".$_SESSION['Inicio']."' 
AND  fecha <=  '".$_SESSION['Final']."'
AND ventas.idfactura >= ".$_SESSION['facturainicio']." 
AND ventas.idfactura <= ".$_SESSION['facturafinal']."
AND facturas.tipo NOT LIKE 'COMPRA'
AND facturas.Anulada NOT LIKE 'S'
GROUP BY descripcion, codigo
ORDER BY descripcion"; 



            
      $result = mysql_query($sql, $con);

        if(mysql_num_rows($result)>0){  

      


      
           $output .= '  
                <table class="table" bordered="1">  
                     <tr align="center" border="1">
<td >Codigo</td>
<td >Descripcion</td>
<td >Precio</td>
<td >Cantidad</td>
<td >Total</td>';


 
           while($dato = mysql_fetch_array($result))  
           {  
                $output .= '  
                   <tr align="center">
            <td>' .$dato['codigo'].'</td>
            <td>' .$dato['descripcion'].'</td>
            <td>' .$dato['precioproducto'].'</td>
            <td>' .$dato['Cantidad'].'</td>   
            <td>' .$dato['Total'].'</td>
            
            </tr>';
                
           } 
           
           
           
        
            
           $output .= '</table>';  
           header("Content-Type: application/xls");   
           header("Content-Disposition: attachment; filename=Reporte de Productos Facturados.xls");  
           echo $output;  
      }  
 }  
 ?>  